Bug 528974 - nrpe: ownership problems, build requirements problems, ...
Summary: nrpe: ownership problems, build requirements problems, ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nrpe
Version: rawhide
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-14 14:32 UTC by Jose Pedro Oliveira
Modified: 2009-11-25 15:13 UTC (History)
3 users (show)

Fixed In Version: 2.12-12.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-06 00:04:12 UTC


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2009-10-14 14:32:35 UTC
Description of problem:
There are at least two problems with the current nrpe specfile:

 1) the nagios-plugins-nrpe subpackage owns the %{_libdir}/nagios/plugins
    directory and it shouldn't

 2) the tcp_wrappers build requirement needs to be corrected for fedora
    distros (but not for EPEL 4 and 5): the latest builds aren't being
    linking with the tcp_wrappers library


Version-Release number of selected component (if applicable):
nrpe-2.12-11


Additional info:

Ownership problem
-----------------
The nagios-plugins-nrpe subpackage shouldn't own the nagios plugins directory:

   $ rpm -qf /usr/lib/nagios/plugins/
   nagios-plugins-1.4.13-11.el5.1
   nagios-plugins-nrpe-2.12-11.el5

This can be easily fixed:

----------
diff -u -r1.16 nrpe.spec
--- nrpe.spec   24 Sep 2009 14:56:32 -0000      1.16
+++ nrpe.spec   14 Oct 2009 14:13:01 -0000
@@ -113,7 +113,7 @@
 
 %files -n nagios-plugins-nrpe
 %defattr(-,root,root,-)
-%{_libdir}/nagios/*
+%{_libdir}/nagios/plugins/*
 %doc Changelog LEGAL README
----------


tcp_wrappers problem
--------------------
The latest fedora builds aren't being built with tcp_wrappers support but the
EPEL ones are.  This is due to the split of the tcp_wrappers package.
The correct fedora BR is the "tcp_wrappers-devel".

Build logs:
http://kojipkgs.fedoraproject.org/packages/nrpe/2.12/11.fc11/data/logs/i586/build.log
http://kojipkgs.fedoraproject.org/packages/nrpe/2.12/11.el5/data/logs/i386/build.log

From the Fedora 11 build log:
  ...
  checking tcpd.h usability... no
  checking tcpd.h presence... no
  checking for tcpd.h... no
  ...
  checking for main in -lwrap... no
  ...


From the EPEL5 build log:
  ...
  checking tcpd.h usability... yes
  checking tcpd.h presence... yes
  checking for tcpd.h... yes
  ...
  checking for main in -lwrap... yes
  ...

Comment 1 Jose Pedro Oliveira 2009-10-14 14:35:13 UTC
Changed the severity to urgent due to the lack of tcp_wrappers support in the fedora builds.

Comment 2 Jose Pedro Oliveira 2009-10-14 14:41:12 UTC
Also, any particularly reason for still be using 
----------
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
...
----------

instead of

----------
%configure \
...
----------
?

Comment 3 Jose Pedro Oliveira 2009-10-23 23:08:36 UTC
PING

<SECURITY> 
The wrong build requirement in Fedora has security implications!
</SECURITY>

Comment 4 Peter Lemenkov 2009-10-24 04:56:07 UTC
I'll take care of it.

Comment 5 Fedora Update System 2009-10-26 14:11:31 UTC
nrpe-2.12-12.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/nrpe-2.12-12.fc10

Comment 6 Fedora Update System 2009-10-26 14:11:36 UTC
nrpe-2.12-12.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/nrpe-2.12-12.el4

Comment 7 Fedora Update System 2009-10-26 14:11:41 UTC
nrpe-2.12-12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/nrpe-2.12-12.fc11

Comment 8 Fedora Update System 2009-10-26 14:11:46 UTC
nrpe-2.12-12.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/nrpe-2.12-12.el5

Comment 9 Fedora Update System 2009-10-26 16:51:43 UTC
nrpe-2.12-12.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nrpe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0730

Comment 10 Fedora Update System 2009-10-26 16:51:48 UTC
nrpe-2.12-12.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nrpe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0731

Comment 11 Fedora Update System 2009-10-27 06:51:46 UTC
nrpe-2.12-12.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nrpe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10782

Comment 12 Fedora Update System 2009-10-27 07:08:22 UTC
nrpe-2.12-12.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update nrpe'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10832

Comment 13 Jose Pedro Oliveira 2009-10-31 21:14:00 UTC
Peter,

Thanks for the update.

/jpo

PS - The answer to Comment #2 is still pending (low priority).

Comment 14 Fedora Update System 2009-11-06 00:04:07 UTC
nrpe-2.12-12.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-11-06 00:08:37 UTC
nrpe-2.12-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2009-11-11 17:21:40 UTC
nrpe-2.12-12.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-11-11 17:22:31 UTC
nrpe-2.12-12.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-11-18 09:07:27 UTC
nrpe-2.12-12.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/nrpe-2.12-12.fc12

Comment 19 Fedora Update System 2009-11-25 15:13:45 UTC
nrpe-2.12-12.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.